[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TCustomVariantType.Create

Instantiate a new custom variant type

## Declaration

Source position: variants.pp line 196

`public constructor TCustomVariantType.Create; overload; constructor TCustomVariantType.Create(`
`RequestedVarType: tvartype`
`); overload;`

## Arguments

`RequestedVarType` |  | New custom variant type number

## Description

Create sets up the necessary reference counting mechanisms to act as an interface, and assigns the new variant type identifier. If specified, the RequestedVarType is the variant type that is registered. if it is zero, a new identifier is assigned.

## See also

TCustomVariantType.Destroy |  | Unregister variant type